Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/mp32number.c File Reference

Multiple precision numbers, code. More...

`#include "system.h"`
`#include "mp32number.h"`
`#include "mp32.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
void | mp32nzero (mp32number *n)
void | mp32nsize (mp32number *n, uint32 size)
void | mp32ninit (mp32number *n, uint32 size, const uint32 *data)
void | mp32nfree (mp32number *n)
void | mp32ncopy (mp32number *n, const mp32number *copy)
void | mp32nwipe (mp32number *n)
void | mp32nset (mp32number *n, uint32 size, const uint32 *data)
void | mp32nsetw (mp32number *n, uint32 val)
void | mp32nsethex (mp32number *n, const char *hex)

## Detailed Description

Multiple precision numbers, code.

Definition in file mp32number.c.

## Function Documentation

void mp32ncopy | ( | mp32number * | n,
|  | const mp32number * | copy
| ) |

| Definition at line 100 of file mp32number.c. References mp32number::data, mp32nset, and mp32number::size.

void mp32nfree | ( | mp32number * | n | ) |

| Definition at line 90 of file mp32number.c. References mp32number::data, mp32number::size, and uint32.

void mp32ninit | ( | mp32number * | n,
|  | uint32 | size,
|  | const uint32 * | data
| ) |

| Definition at line 75 of file mp32number.c. References mp32number::data, mp32copy, mp32number::size, and uint32.

void mp32nset | ( | mp32number * | n,
|  | uint32 | size,
|  | const uint32 * | data
| ) |

| Definition at line 112 of file mp32number.c. References mp32number::data, mp32copy, mp32number::size, and uint32.

void mp32nsethex | ( | mp32number * | n,
|  | const char * | hex
| ) |

| Definition at line 171 of file mp32number.c. References mp32number::data, mp32number::size, uint32, and uint8.

void mp32nsetw | ( | mp32number * | n,
|  | uint32 | val
| ) |

| Definition at line 146 of file mp32number.c. References mp32number::data, mp32number::size, and uint32.

void mp32nsize | ( | mp32number * | n,
|  | uint32 | size
| ) |

| Definition at line 42 of file mp32number.c. References mp32number::data, mp32number::size, and uint32.

void mp32nwipe | ( | mp32number * | n | ) |

| Definition at line 105 of file mp32number.c. References mp32number::data, mp32zero, and mp32number::size.

void mp32nzero | ( | mp32number * | n | ) |

| Definition at line 35 of file mp32number.c. References mp32number::data, mp32number::size, and uint32.